No support for Firefox 3.1 Rated 3 out of 5 stars

i just hope the support for Firefox 3.1 comes out soon...i really need this add on.

This review is for a previous version of the add-on (0.6.11).